惊爆:宝塔面板留后门搜集隐私信息,附紧急修复方案

惊爆:宝塔面板留后门搜集隐私信息,附紧急修复方案
宝塔bt.cn是比较知名的国产主机控制面板,傻瓜式操作让小白也能用服务器搭建网站环境,从而赢得了大量用户。 然而今天各大论坛贴满了关于宝塔后门搜集隐私信息的帖子,我们看看怎么回事:   首先,网友po出了详细的宝塔搜集信息并上传到服务器的代码和操作流程,附带搜集信息的证据。   第一步、搜集安装包套服务器上面的域名,文件/class/public.py。并检测域名是否可用,/class/acme_v2.py。 ...

chrome浏览器94版本跨域问题

chrome浏览器94版本跨域问题
提示错误: Access to XMLHttpRequest from origin has been blocked by CORS policy:The request client is not a secure context and the resource is in more-private address space `local`.   原因:最新的谷歌和edge升级到94版本后对公网上的http请求下的非同域的http请求进行了拦截。   解决方案: 1、所有公网上的web项目都应该使用https证书。所以最好的方案还是将您的公网web项目升级...

windows部署IIS、PHP8、php7、phpmanager、composer和Laravel环境及配置

windows部署IIS、PHP8、php7、phpmanager、composer和Laravel环境及配置
目标: 在windows10或windows server上配置IIS、PHP8、PHP7、phpmanager、composer、Laravel环境。   参考:https://docs.microsoft.com/zh-cn/previous-versions/windows/it-pro/windows-server-2012-R2-and-2012/hh994589(v=ws.11)   一、部署IIS、PHP环境 1、通过控制面板->程序和功能->启用或关闭windows功能,安装IIS。 2、安装phpmanager phpmanager是iis管理php的工具,可轻松实现i...

phpmanager安装opcache

phpmanager安装opcache
安装composer提示需要opcache,已经在phpmanager开启了opcache却依然提示错误: PHP Warning: PHP Startup: Invalid library (appears to be a Zend Extension, try loading using zend_extension=php_opcache.dll from php.ini) in Unknown on line 0   查看php.ini发现phpmanager开启opcache有问题: phpmanager是在php.ini中添加了: [PHP_OPCACHE] extension=php_opcache.dll 这是错误的,正确的...

Centos7安装配置redis

Centos7安装配置redis
官网:https://redis.io/download 参考:https://www.cnblogs.com/heqiuyong/p/10463334.html   一、安装gcc依赖 由于 redis 是用 C 语言开发,安装之前必先确认是否安装 gcc 环境(gcc -v),如果没有安装,执行以下命令进行安装 # 查看gcc版本是否在5.3以上,centos7.6默认安装4.8.5 gcc -v # 升级gcc到5.3及以上,如下: yum -y install centos-release-scl yum -y install devtoolset-9-gcc devtoo...

外网访问家庭网络和内网穿透

外网访问家庭网络和内网穿透
需求场景: 外网(比如公司)访问家中NAS、电脑、服务器、路由器、机顶盒;   方法: 1、光猫选桥接模式,路由器或电脑拨号上网; 2、内网穿透;   方法一、桥接拨号获取外网IP: 1、一般来说,家庭宽带默认是“路由模式”,那么光猫获取到的是上级网络的内网IP,没有公网iIP。 2、但是可以拨打宽带服务商电话(例如电信是10000),让客服把你的上网模式改为“桥接模式”,桥接模式需要用自己的设备...

滴滴云服务器-特价促销

滴滴云服务器-特价促销
滴滴云正在搞云服务器大促,大家抓紧上车吧   购买地址:点击购买     宽云服务器DC2型-配置: CPU:1核 内存:2G 硬盘:40G固态硬盘 带宽:1兆带 价格1:9.9元/3个月 价格2:68元/一年  (推荐购买)   点击购买        

centos7安装bbr开启加速

centos7安装bbr开启加速
注意 1、bbr只支持使用syctemctl命令的系统,所以centos只支持7以上版本。centos6无法使用。 2、centos默认内核版本较低,需要先更新系统内核。   1、更新 yum update -y   2、查看当前内核版本 uname -r 3.10.0-1062.18.1.el7.x86_64   uname -a Linux VM-0-2-centos 3.10.0-1062.18.1.el7.x86_64 #1 SMP Tue Mar 17 23:49:17 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux   cat /etc/re...

centos7下Firewall使用详解

centos7下Firewall使用详解
安装它,只需 # yum install firewalld 如果需要图形界面的话,则再安装 # yum install firewall-config   firewalld的配置文件以xml格式为主(主配置文件firewalld.conf例外),他们有两个存储位置 1、/etc/firewalld/ 用户配置文件 2、/usr/lib/firewalld/ 系统配置文件,预置文件   一、介绍 防火墙守护 firewalld 服务引入了一个信任级别的概念来管理与之相关联的连接与接口。它支持 ipv4 与...

CentOS一键升级内核并开启Google BBR

CentOS一键升级内核并开启Google BBR
oogle BBR是一款TCP加速工具,类似与锐速,Google开源了BBR 拥塞控制算法,并提交到了 Linux 内核,最新的 4.9 版内核已经用上了该算法。因此要想使用BBR,必须升级到最新内核。     本脚本适用环境 系统支持:CentOS 6+,Debian 7+,Ubuntu 12+ 虚拟技术:OpenVZ 以外的,比如 KVM、Xen、VMware 等 内存要求:≥128M 日期  :2018 年 06 月 09 日   关于本脚本 1、本脚本已在 Vultr、Virm...